org.apache.ignite.internal.pagemem.wal.record

## Class PageSnapshot

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.PageSnapshot

    public class PageSnapshot
    extends WALRecord

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`PageSnapshot(FullPageId fullId, byte[] arr)`
`PageSnapshot(FullPageId fullPageId, long ptr, int pageSize)`

### Method Summary

Methods
`FullPageId` `fullPageId()`
`byte[]` `pageData()`
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PageSnapshot

    public PageSnapshot(FullPageId fullId,
                byte[] arr)

Parameters:
  `fullId` - Full page ID.
  `arr` - Read array.

#### PageSnapshot

    public PageSnapshot(FullPageId fullPageId,
                long ptr,
                int pageSize)

Parameters:
  `fullPageId` - Full page ID.
  `ptr` - Pointer to copy from.
  `pageSize` - Page size.

### Method Detail

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### pageData

    public byte[] pageData()

Returns:
  Snapshot of page data.

#### fullPageId

    public FullPageId fullPageId()

Returns:
  Full page ID.

#### toString

    public String toString()

Overrides:
  `toString` in class `WALRecord`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017